### File

`packages/ecl/components/ecl-breadcrumb/ecl-breadcrumb-container.directive.ts`

### Description

Used to wrap breadcrumb segments inside the breadcrumb component.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclBreadcrumbContainer]`

### Index

###### Properties
Public el hasClass
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-breadcrumb__container

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-breadcrumb__container
Type : `boolean`
Default value : `true`
Adds breadcrumb container CSS class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public el
Type : `ElementRef`

hasClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-breadcrumb__container')`
Adds breadcrumb container CSS class to the host element.

# results matching ""

# No results matching ""